Subject: Re: [PATCH v5] net: ip, diag -- Add diag interface for raw sockets

From: Cyrill Gorcunov <[email-masked]>
Date: Wed, 28 Sep 2016 16:09:26 +0300

On Wed, Sep 28, 2016 at 06:02:11AM -0700, Eric Dumazet wrote:
> 
> This is a bit different of course, since struct tc_fq_qd_stats is only
> one way : Kernel produces the content and gives it to user space.
> 
> User space should probably not need to initialize such a structure, but
> who knows what a programmer can write ;)

It's the same issue as I have: the users may have initialized tc_fq_qd_stats for
some reson. But since nobody complained yet about such change -- it is a good
sign of catching the luck :)

You know at the moment I'm not sure how to be then -- either leave it as
uninon, either rename it (via patch on top), or even simply require the
protocol to be passed as additional data in netlink packet...